%error = forceRequiredAddOn("weapon_gun");

if(%error == $error::addOn_disabled)
{
	gunItem.uiName = "";
}

if(%error == $error::addOn_notFound)
{
	return;
}

datablock itemData(handGunItem : gunItem)
{
	uiName = "Hand Gun";
	
	image = handGunImage;
};

datablock shapeBaseImageData(handGunImage : gunImage)
{
	shapeFile = "base/data/shapes/empty.dts";
	
	item = handGunItem;
};

function handGunImage::onFire(%this, %obj, %slot)
{
	if(%obj.getDamagePercent() < 1)
	{
		%obj.playThread(2, "shiftAway");
	}
	
	parent::onFire(%this, %obj, %slot);
}